Get a domain

Retrieve one domain with its DNS records and verification status.

GEThttps://app.usenotix.dev/api/v1/domains/{id}

Full access and read only keys can call this. Sending access keys cannot. Key permissions lists the extra rules some calls have.

Retrieve one domain with its DNS records and verification status.

Path parameters

idnumberrequired

Headers

Authorizationstringrequired

Bearer followed by your API key.

curl -X GET "https://app.usenotix.dev/api/v1/domains/<id>" \
  -H "Authorization: Bearer $NOTIX_API_KEY"
Response200
{
  "id": 1,
  "name": "example.com",
  "teamId": 1,
  "status": "NOT_STARTED",
  "publicKey": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "dnsRecords": [
    {
      "type": "TXT",
      "name": "mail",
      "value": "v=spf1 include:_spf.usenotix.dev ~all",
      "ttl": "Auto",
      "status": "NOT_STARTED"
    }
  ]
}
Open in ClaudeOpen in ChatGPT